Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.qom
Class JcrChildNodeJoinCondition

    java.lang.Object
      org.modeshape.graph.query.model.ChildNodeJoinCondition
          org.modeshape.jcr.query.qom.JcrChildNodeJoinCondition

All Implemented Interfaces:
  Serializable, ChildNodeJoinCondition, JoinCondition, LanguageObject, Visitable, JcrJoinCondition

    public class JcrChildNodeJoinCondition

extends ChildNodeJoinCondition
implements ChildNodeJoinCondition, JcrJoinCondition

Implementation of the child-node join condition for the JCR Query Object Model and the Graph API.

See Also:
  Serialized Form

Constructor Summary
`JcrChildNodeJoinCondition(SelectorName parentSelectorName, SelectorName childSelectorName)` Create a join condition that determines whether the node identified by the child selector is a child of the node identified by the parent selector.

Method Summary
`String` | `getChildSelectorName()`
`String` | `getParentSelectorName()`

Methods inherited from class org.modeshape.graph.query.model.ChildNodeJoinCondition
`accept, childSelectorName, equals, hashCode, parentSelectorName, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.modeshape.graph.query.model.Visitable
`accept`

Constructor Detail

### JcrChildNodeJoinCondition

    public JcrChildNodeJoinCondition(SelectorName parentSelectorName,
                                     SelectorName childSelectorName)

  Create a join condition that determines whether the node identified by the child selector is a child of the node identified by the parent selector.

  Parameters:
    `parentSelectorName` - the first selector
    `childSelectorName` - the second selector

Method Detail

### getChildSelectorName

    public String getChildSelectorName()

  Specified by:
    `getChildSelectorName` in interface `ChildNodeJoinCondition`
  See Also:
    `ChildNodeJoinCondition.getChildSelectorName()`

### getParentSelectorName

    public String getParentSelectorName()

  Specified by:
    `getParentSelectorName` in interface `ChildNodeJoinCondition`
  See Also:
    `ChildNodeJoinCondition.getParentSelectorName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.